
#include "mods.h"


// per instance gizmo block
static ParamBlockDesc2 customink_spline_blk ( customink_params, _T("splineInk"),  0, &splineInkDesc, P_AUTO_CONSTRUCT + P_AUTO_UI, 0, 
	//rollout
	IDD_SPLINEINK, IDS_PW_SPLINEINK, 0, 0, NULL,
	// params
	customink_offset,  _T("offset"), TYPE_FLOAT, 	P_RESET_DEFAULT, 	IDS_OFFSET, 
		p_default, 		0.0f,	
		p_range, 		-999999.f,999999.f, 
		p_ui,  		TYPE_SPINNER, EDITTYPE_FLOAT, IDC_OFFSET,IDC_OFFSET_SPIN,  1.0f,
		end, 

	customink_size,  _T("size"), TYPE_FLOAT, 	P_RESET_DEFAULT, 	IDS_SIZE, 
		p_default, 		5.0f,	
		p_range, 		0.001f,999999.f, 
		p_ui,  		TYPE_SPINNER, EDITTYPE_FLOAT, IDC_SSIZE,IDC_SIZE_SPIN,  1.0f,
		end, 

	end
	);


SplineInkClass::SplineInkClass()
	{
	splineInkDesc.MakeAutoParamBlocks(this);
	}
SplineInkClass::~SplineInkClass()
	{
	DeleteAllRefsFromMe();
	}

void SplineInkClass::BeginEditParams(IObjParam  *ip, ULONG flags,Animatable *prev)
	{
	splineInkDesc.BeginEditParams(ip, this, flags, prev);

	}
void SplineInkClass::EndEditParams(IObjParam *ip,ULONG flags,Animatable *next)
	{
	splineInkDesc.EndEditParams(ip, this, flags, next);
	}


void SplineInkClass::StartStroke(Point3 p, float str, float radius, float pressure, Matrix3 toWorld )
	{
	}
void SplineInkClass::ApplyInk(Point3 p, float str, float radius, float pressure, Matrix3 toWorld)
	{
	}

void SplineInkClass::EndStroke(Point3 p, float str, float radius, float pressure, Matrix3 toWorld, BOOL cancel)
	{

	}

